概述
API授權
登入API
日記API
相簿API
相片API
地標API
地標API
廣告API(new)
發表日記
  • REST Method: POST
  • 使用者是否需要先登入:是
  • Request參數
    • func=postBlog
    • type-enum('0_0', '0_1', '0_2', '0_3', '0_4', '0_5', '0_6', '0_7', '0_8')
      • 0_0 : 愛情日記
      • 0_1 : 寵物日記
      • 0_2 : 心情日記
      • 0_3 : 新聞日記
      • 0_4 : 美食日記
      • 0_5 : 美妝日記
      • 0_6 : 快樂日記
      • 0_7 : 友情日記
      • 0_8 : 旅遊日記
    • lat
      日記所在緯度。
    • lng
      日記所在經度。
    • blogTitle
      日記標題。
    • blogContent
      日記內文
    • year
      日記預定發表時間-年。
    • month
      日記預定發表時間-月。
    • day
      日記預定發表時間-日。
    • weather-enum('晴空萬里', '狂風暴雨', '陰雨綿綿', '雨過天晴', '烏雲滿天', '大雪數日', '有彩虹')
      日記天氣。
    • replyBlogID-(optional)
      引用日記之編號。
    • zoomLevel-(optional)
      Google地圖縮放程度(default=14)。
    • mapType-(optional), enum(1,2,3)
      Google地圖形式。
      • 1 : 地圖 (default)
      • 2 : 衛星
      • 3 : 混合地圖
  • 回傳資料(若成功)
    • status=SUCCESS
    • blogID
      成功發表之日記編號。
    • reward
      發表此篇日記得到的酷幣獎勵。
  • 回傳資料(若失敗)
    • status=FAILED
    • info
HTTP Protocol範例: POST /API.php HTTP/1.1 Accept: */* Content-Type: application/x-www-form-urlencoded User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; zh-TW; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14 Host: www.atlaspost.com Cookie: id=34633; idrand=57d249bec6c4dfda8bc25057fa0d41fe Content-Length: 361 func=postBlog&type=0_8&lat=25.0594&lng=121.555&blogTitle=%E6%B8%AC%E8%A9%A6%E6%A8%99%E9%A1%8C&blogContent=%E6%B8%AC%E8%A9%A6%E5%85%A7%E6%96%87%0D%0A%E6%B8%AC%E8%A9%A6%E5%85%A7%E6%96%87&year=2008&month=4&day=25&weather=%E6%99%B4%E7%A9%BA%E8%90%AC%E9%87%8C&key=77c34bb5f07dd3c4fb5d70030e4c4878&ts=1208853297&sig=af8d6ad939bbf6d44a69f702934e6e17&responseFormat=XML 回傳資料(若成功)範例: <?xml version="1.0" encoding="UTF-8"?> <response> <status>SUCCESS</status> <blogID>225695</blogID> <reward>2500</reward> </response>
修改日記
  • REST Method: POST
  • 使用者是否需要先登入:是
  • Request參數
    • func=updateBlog
    • blogID
      要修改的日記編號。
    • type-enum('0_0', '0_1', '0_2', '0_3', '0_4', '0_5', '0_6', '0_7', '0_8')
      • 0_0 : 愛情日記
      • 0_1 : 寵物日記
      • 0_2 : 心情日記
      • 0_3 : 新聞日記
      • 0_4 : 美食日記
      • 0_5 : 美妝日記
      • 0_6 : 快樂日記
      • 0_7 : 友情日記
      • 0_8 : 旅遊日記
    • lat
      日記所在緯度。
    • lng
      日記所在經度。
    • blogTitle
      日記標題。
    • blogContent
      日記內文
    • year
      日記預定發表時間-年。
    • month
      日記預定發表時間-月。
    • day
      日記預定發表時間-日。
    • weather-enum('晴空萬里', '狂風暴雨', '陰雨綿綿', '雨過天晴', '烏雲滿天', '大雪數日', '有彩虹')
      日記天氣。
    • replyBlogID-(optional)
      引用日記之編號。
    • zoomLevel-(optional)
      Google地圖縮放程度(default=14)。
    • mapType-(optional), enum(1,2,3)
      Google地圖形式。
      • 1 : 地圖 (default)
      • 2 : 衛星
      • 3 : 混合地圖
  • 回傳資料(若成功)
    • status=SUCCESS
  • 回傳資料(若失敗)
    • status=FAILED
    • info
HTTP Protocol範例: POST /API.php HTTP/1.1 Accept: */* Content-Type: application/x-www-form-urlencoded User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; zh-TW; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14 Host: www.atlaspost.com Cookie: id=34633; idrand=57d249bec6c4dfda8bc25057fa0d41fe Content-Length: 377 func=updateBlog&blogID=225695&type=0_2&lat=25.0594&lng=121.555&blogTitle=%E6%B8%AC%E8%A9%A6%E6%A8%99%E9%A1%8C&blogContent=%E6%B8%AC%E8%A9%A6%E5%85%A7%E6%96%87%0D%0A%E6%B8%AC%E8%A9%A6%E5%85%A7%E6%96%87&year=2008&month=4&day=25&weather=%E6%99%B4%E7%A9%BA%E8%90%AC%E9%87%8C&key=77c34bb5f07dd3c4fb5d70030e4c4878&ts=1208853297&sig=af8d6ad939bbf6d44a69f702934e6e17&responseFormat=XML
刪除日記
  • REST Method: POST
  • 使用者是否需要先登入:是
  • Request參數
    • func=updateBlog
    • delete=true
    • blogID
      要刪除的日記編號。
  • 回傳資料(若成功)
    • status=SUCCESS
  • 回傳資料(若失敗)
    • status=FAILED
    • info
HTTP Protocol範例: POST /API.php HTTP/1.1 Accept: */* Content-Type: application/x-www-form-urlencoded User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; zh-TW; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14 Host: www.atlaspost.com Cookie: id=34633; idrand=57d249bec6c4dfda8bc25057fa0d41fe Content-Length: 41 func=updateBlog&delete=true&blogID=225695
讀取日記
  • REST Method: GET
  • 使用者是否需要先登入:否
  • Request參數
    • func=getBlog
    • blogID
      要讀取的日記編號。
  • 回傳資料(若成功)
    • status=SUCCESS
    • authorName
    • authorIcon
    • type-enum('0_0', '0_1', '0_2', '0_3', '0_4', '0_5', '0_6', '0_7', '0_8')
      • 0_0 : 愛情日記
      • 0_1 : 寵物日記
      • 0_2 : 心情日記
      • 0_3 : 新聞日記
      • 0_4 : 美食日記
      • 0_5 : 美妝日記
      • 0_6 : 快樂日記
      • 0_7 : 友情日記
      • 0_8 : 旅遊日記
    • Location
      • lat
        日記所在緯度。
      • lng
        日記所在經度。
    • blogTitle
      日記標題。
    • blogContent
      日記內文
    • postDate
      • year
        日記預定發表時間-年。
      • month
        日記預定發表時間-月。
      • day
        日記預定發表時間-日。
    • weather-enum('晴空萬里', '狂風暴雨', '陰雨綿綿', '雨過天晴', '烏雲滿天', '大雪數日', '有彩虹')
      日記天氣。
    • replyBlogID-(optional)
      引用日記之編號。
    • zoomLevel-(optional)
      Google地圖縮放程度(default=14)。
    • mapType-(optional), enum(1,2,3)
      Google地圖形式。
      • 1 : 地圖 (default)
      • 2 : 衛星
      • 3 : 混合地圖
    • score
      日記推薦分數。
    • vote-(optional)
      日記內舉辦之投票活動。
      • description
        投票內容說明。
      • choices-array of choice
        • choice
          • description
            選項描述。
          • votes
            所得票數。
    • comments-(optional), array of comment
      回應列表。
      • comment
        • time
          回應時間。
        • commenterName
          回應者暱稱。
        • commenterIcon
          回應者頭像位址。
        • comment
          回應內容。
        • authorReply
          日記發表者的回覆
          • time
            回覆時間。
          • reply
            回覆內容。
  • 回傳資料(若失敗)
    • status=FAILED
    • info
HTTP Protocol範例: GET /API.php HTTP/1.1 Accept: */* Content-Type: application/x-www-form-urlencoded User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; zh-TW; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14 Host: www.atlaspost.com Content-Length: 45 func=getBlog&blogID=223266&responseFormat=XML 回傳資料(若成功)範例: <?xml version="1.0" encoding="UTF-8"?> <response> <status>SUCCESS</status> <blogTitle>測試標題</blogTitle> <blogContent><p>測試內容</p></blogContent> <authorName>Ginger</authorName> <authorIcon>userimages/34633_thumbnail_d300b.jpg</authorIcon> <type>0_2</type> <Location> <lat>25.0584</lat> <lng>121.555</lng> </Location> <zoomLevel>17</zoomLevel> <mapType>1</mapType> <postDate> <year>2008</year> <month>4</month> <day>25</day> </postDate> <replyBlogID>198678</replyBlogID> <userCategory>雜七雜八</userCategory> <score>15</score> <vote> <description>測試投票~內容說明~</description> <choices> <choice1> <description>選項1</description> <votes>1</votes> </choice1> <choice2> <description>選項2</description> <votes>0</votes> </choice2> </choices> </vote> <comments> <comment1> <time>1209115097</time> <commenterName>Ginger</commenterName> <commenterIcon>userimages/34633_thumbnail_d300b.jpg</commenterIcon> <comment>測試回應2</comment> </comment1> <comment2> <time>1209114961</time> <commenterName>Ginger</commenterName> <commenterIcon>userimages/34633_thumbnail_d300b.jpg</commenterIcon> <comment>測試回應~</comment> </comment2> </comments> </response>

版權所有 © 2008 渥奇數位資訊 | 法律顧問: 益思科技法律事務所